%if 0%{?fedora} > 12
%global with_python3 1
%endif

%global pypi_name nose-exclude

Name:           python-%{pypi_name}
Version:        0.1.9
Release:        3%{?dist}
Summary:        Exclude specific directories from nosetests runs

License:        LGPLv2
URL:            http://pypi.python.org/pypi/nose-exclude/0.1.8
Source0:        http://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
Requires:       python-nose

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
nose-exclude is a `Nose`_ plugin that allows you to easily
specify directories to be excluded from testing.


%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Exclude specific directories from nosetests runs

Requires:       python3-nose

%description -n python3-%{pypi_name}
nose-exclude is a `Nose`_ plugin that allows you to easily
specify directories to be excluded from testing.
%endif


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%files
%doc README.rst
%{python_sitelib}/nose_exclude.py*
%{python_sitelib}/nose_exclude-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/nose_exclude.py*
%{python3_sitelib}/nose_exclude-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/nose_exclude*
%endif

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Ralph Bean <rbean@redhat.com> - 0.1.9-2
- Package python3 subpackage.

* Tue Oct 16 2012 Matthias Runge <mrunge@redhat.com> - 0.1.9-1
- update to upstream release 0.1.9

* Tue Sep 11 2012 Matthias Runge <mrunge@redhat.com> - 0.1.8-1
- Initial package.
